curl --request PUT \
--url https://api.example.com/api/sale-invoices/{id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'organization-id: <organization-id>' \
--data '
{
"customerId": 1,
"invoiceDate": "2023-01-01T00:00:00Z",
"dueDate": "2023-01-15T00:00:00Z",
"entries": [
{
"index": 1,
"itemId": 1,
"rate": 1,
"quantity": 1,
"discount": 1,
"discountType": "percentage",
"description": "This is a description",
"taxCode": "123456",
"taxRateId": 1,
"warehouseId": 1,
"projectId": 1,
"projectRefId": 1,
"projectRefType": "TASK",
"projectRefInvoicedAmount": 100,
"sellAccountId": 1020,
"costAccountId": 1021
}
],
"attachments": [
{
"key": "123456"
}
],
"invoiceNo": "INV-001",
"referenceNo": "REF-001",
"delivered": false,
"invoiceMessage": "Thank you for your business",
"termsConditions": "Payment due within 14 days",
"exchangeRate": 1,
"warehouseId": 1,
"branchId": 1,
"projectId": 1,
"isInclusiveTax": false,
"pdfTemplateId": 1,
"paymentMethods": [
{
"paymentIntegrationId": 1,
"enable": true
}
],
"discount": 10,
"discountType": "percentage",
"adjustment": 5,
"fromEstimateId": 1
}
'import requests
url = "https://api.example.com/api/sale-invoices/{id}"
payload = {
"customerId": 1,
"invoiceDate": "2023-01-01T00:00:00Z",
"dueDate": "2023-01-15T00:00:00Z",
"entries": [
{
"index": 1,
"itemId": 1,
"rate": 1,
"quantity": 1,
"discount": 1,
"discountType": "percentage",
"description": "This is a description",
"taxCode": "123456",
"taxRateId": 1,
"warehouseId": 1,
"projectId": 1,
"projectRefId": 1,
"projectRefType": "TASK",
"projectRefInvoicedAmount": 100,
"sellAccountId": 1020,
"costAccountId": 1021
}
],
"attachments": [{ "key": "123456" }],
"invoiceNo": "INV-001",
"referenceNo": "REF-001",
"delivered": False,
"invoiceMessage": "Thank you for your business",
"termsConditions": "Payment due within 14 days",
"exchangeRate": 1,
"warehouseId": 1,
"branchId": 1,
"projectId": 1,
"isInclusiveTax": False,
"pdfTemplateId": 1,
"paymentMethods": [
{
"paymentIntegrationId": 1,
"enable": True
}
],
"discount": 10,
"discountType": "percentage",
"adjustment": 5,
"fromEstimateId": 1
}
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: '<authorization>',
'organization-id': '<organization-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customerId: 1,
invoiceDate: '2023-01-01T00:00:00Z',
dueDate: '2023-01-15T00:00:00Z',
entries: [
{
index: 1,
itemId: 1,
rate: 1,
quantity: 1,
discount: 1,
discountType: 'percentage',
description: 'This is a description',
taxCode: '123456',
taxRateId: 1,
warehouseId: 1,
projectId: 1,
projectRefId: 1,
projectRefType: 'TASK',
projectRefInvoicedAmount: 100,
sellAccountId: 1020,
costAccountId: 1021
}
],
attachments: [{key: '123456'}],
invoiceNo: 'INV-001',
referenceNo: 'REF-001',
delivered: false,
invoiceMessage: 'Thank you for your business',
termsConditions: 'Payment due within 14 days',
exchangeRate: 1,
warehouseId: 1,
branchId: 1,
projectId: 1,
isInclusiveTax: false,
pdfTemplateId: 1,
paymentMethods: [{paymentIntegrationId: 1, enable: true}],
discount: 10,
discountType: 'percentage',
adjustment: 5,
fromEstimateId: 1
})
};
fetch('https://api.example.com/api/sale-invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Edit the given sale invoice.
Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Path Parameters
The sale invoice id
Body
Customer ID
1
Invoice date
"2023-01-01T00:00:00Z"
Due date
"2023-01-15T00:00:00Z"
Invoice line items
1Show child attributes
Show child attributes
The attachments of the sale receipt
[{ "key": "123456" }]
Invoice number
"INV-001"
Reference number
"REF-001"
Whether the invoice is delivered
Invoice message
"Thank you for your business"
Terms and conditions
"Payment due within 14 days"
Exchange rate
x >= 01
Warehouse ID
1
Branch ID
1
Project ID
1
Whether tax is inclusive
false
PDF template ID
1
Payment methods
Show child attributes
Show child attributes
Discount value
10
Discount type
percentage, amount "percentage"
Adjustment amount
5
ID of the estimate this invoice is created from
1
Response
Sale invoice edited successfully